harmony-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Regis <xu.re...@gmail.com>
Subject Re: [test][classlib] Does anyone meet all the failures with those SQL packages?
Date Wed, 23 Apr 2008 03:08:48 GMT
Hi,

It seems everything is fine. Maybe you can try
DriverManager.getDrivers()
to see if the Derby's driver was loaded. Hope this will be
helpful.

Best Regards,
Regis.

Chen Yang wrote:
> See the output from ant fetch-depends:
> ...
> -remove-file-if-bad:
>      [echo] Checksum verified (true)
>      [echo] Checking depends/jars/derby-10.3.1.4/derby.jar
> ...
> working_classlib\depends\jars\derby-10.3.1.4:
> 2007-08-16  19:04         2,338,649 derby.jar
> ...
> working_classlib\deploy\build\test
> 2007-09-19  11:33         2,338,649 derby.jar
> 
> I cannot see the problem so far.
> --
>  Chen
> 
> On 4/22/08, Regis <xu.regis@gmail.com> wrote:
>> Hi,
>>
>> It's strange. This exception cased by DriverManager can't find any drivers
>> are able to resolve the URL.
>> I think the URL to create db is ok, so the problem maybe DriverManager can't
>> find driver of
>> Derby. but the driver seems has been loaded successfully by this line:
>> Class.forName("org.apache.derby.jdbc.EmbeddedDriver");
>>
>> Are you make sure the derby.jar downloaded correctly?  Or more hints you
>> could give me?
>>
>>
>> Chen Yang wrote:
>>> Thanks. Here is the stack trace with the patch applied:
>>>
>>> testDeleteRow_CursorPos
>>>
>>> java.sql.SQLException: No suitable driver
>>> at
>> java.sql.DriverManager.getConnection(DriverManager.java:192)
>>> at
>> java.sql.DriverManager.getConnection(DriverManager.java:147)
>>> at
>> org.apache.harmony.sql.tests.internal.rowset.CachedRowSetTestCase.setUp(CachedRowSetTestCase.java:66)
>>> Hope it helps.
>>> --
>>>  Chen
>>>
>>> On 4/22/08, Regis <xu.regis@gmail.com> wrote:
>>>
>>>> Hi,
>>>>
>>>> The original code hide the actual exception. Could you please try below
>> patch on
>> org.apache.harmony.sql.tests.internal.rowset.CachedRowSetTestCase,
>> which will
>>>> expose the exception. Thanks in advance!
>>>>
>>>> Index:
>> src/test/java/org/apache/harmony/sql/tests/internal/rowset/CachedRowSetTestCase.java
>> ===================================================================
>>>> ---
>> src/test/java/org/apache/harmony/sql/tests/internal/rowset/CachedRowSetTestCase.java
>> (revision 650405)
>>>> +++
>> src/test/java/org/apache/harmony/sql/tests/internal/rowset/CachedRowSetTestCase.java
>> (working copy)
>>>> @@ -58,11 +58,7 @@
>>>>        try {
>>>>            conn =
>> DriverManager.getConnection(DERBY_URL);
>>>>        } catch (SQLException e) {
>>>> -            try {
>>>> -                conn =
>> DriverManager.getConnection(DERBY_URL_Create);
>>>> -            } catch (SQLException ee) {
>>>> -                throw new SQLException("Create DB Failure!");
>>>> -            }
>>>> +            conn =
>> DriverManager.getConnection(DERBY_URL_Create);
>>>>        }
>>>>
>>>>        st = conn.createStatement();
>>>>
>>>>
>>>>
>>>>
>>>>
>>>>
>>>>
>>>> Chen Yang wrote:
>>>>
>>>>
>>>>> Regis:
>>>>>  Thanks.
>>>>>  The original stack trace is the whole for test class:
>>>>> CachedRowSetDeleteTest's method testDeleteRow_CursorPos:
>>>>> The error message:
>>>>>
>>>>> Create DB Failure!
>>>>>
>>>>> java.sql.SQLException: Create DB Failure!
>>>>> at
>>>>>
>> org.apache.harmony.sql.tests.internal.rowset.CachedRowSetTestCase.setUp(CachedRowSetTestCase.java:64)
>>>>> Don't know whether it is enough or not.
>>>>> --
>>>>>  Chen
>>>>>
>>>>>
>>>>> On 4/22/08, Regis <xu.regis@gmail.com> wrote:
>>>>>
>>>>>
>>>>>> Chen Yang wrote:
>>>>>>
>>>>>>
>>>>>>
>>>>>>> I have tried locally with updated classlib and rebuilt with ant
>> clean
>>>>>>> (Win32
>>>>>>> and Win64). I can still meet lots test failures other than the
one
>> that
>>>>>>> you
>>>>>>> have met, mostly is:
>>>>>>>
>>>>>>> Create DB Failure!
>>>>>>>
>>>>>>> java.sql.SQLException: Create DB Failure!
>>>>>>>
>>>>>>>
>>>>>>>
>>>>>> Seems Derby create database failed. Could you give more details of
>>>>>> exception stack trace?
>>>>>> It would be helpful to see what cause the problem.
>>>>>>
>>>>>> Best Regards,
>>>>>> Regis.
>>>>>>
>>>>>> at
>>>>>>
>>>>>>
>> org.apache.harmony.sql.tests.internal.rowset.CachedRowSetTestCase.setUp(CachedRowSetTestCase.java:64)
>>>>>>> --
>>>>>>>  Chen
>>>>>>>
>>>>>>> On 4/22/08, Regis <xu.regis@gmail.com> wrote:
>>>>>>>
>>>>>>>
>>>>>>>
>>>>>>>> Regis wrote:
>>>>>>>>
>>>>>>>>
>>>>>>>>
>>>>>>>>
>>>>>>>>> Alexey Varlamov wrote:
>>>>>>>>>
>>>>>>>>> Integrity testing [1] shows 1 failure in SQL (+7 failures
in
>> other
>>>>>>>>>
>>>>>>>>>> modules) :
>>>>>>>>>>
>>>>>>>>>> Test:  testUpdateAsciiStream
>>>>>>>>>> Class:
>>>>>>>>>>
>>>>>>>>>>
>> org.apache.harmony.sql.tests.internal.rowset.CachedRowSetStreamTest
>>>>>>>>>>  junit.framework.AssertionFailedError:
>> expected:<和谐> but was:<??>
>>>>>>>>>>  at
>>>>>>>>>>
>>>>>>>>>>
>> org.apache.harmony.sql.tests.internal.rowset.CachedRowSetStreamTest.testUpdateAsciiStream(CachedRowSetStreamTest.java:787)
>>>>>>>>>>  at
>> java.lang.reflect.VMReflection.invokeMethod(VMReflection.java)
>>>>>>>>>> I found it was failed when the default locale didn't
support
>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>> Chinese
>>>>>>>>>
>>>>>>>>>
>>>>>>>>>
>>>>>>>> characters, even on RI.
>>>>>>>> I think the test case could be rewrite to fit different
>> environments.
>>>>>>>> I
>>>>>>>> have filed a JIRA [1]
>>>>>>>> to trace this issue.
>>>>>>>>
>>>>>>>> [1]
>> https://issues.apache.org/jira/browse/HARMONY-5773
>>>>>>>> Best Regards,
>>>>>>>> Regis.
>>>>>>>>
>>>>>>>>
>>>>>>>>  I'm looking on this, it seems some locale data cause the
>> failure...
>>>>>>>>
>>>>>>>>> BTW, classlib tests are "RED" since mid-February, does
anyone
>> care
>>>>>>>>> to
>>>>>>>>>
>>>>>>>>>
>>>>>>>>>
>>>>>>>>>> fix or exclude problematic cases? Here is the current
list:
>>>>>>>>>>
>>>>>>>>>> error  testRead
>>>>>>>>>>
>> org.apache.harmony.archive.tests.java.util.jar.ManifestTest
>>>>>>>>>> error  testGetAttribute
>>>>>>>>>>
>> org.apache.harmony.lang.management.MemoryPoolMXBeanImplTest
>>>>>>>>>> error  testGetCollectionUsage
>>>>>>>>>>
>>>>>>>>>>
>> org.apache.harmony.lang.management.tests.java.lang.management.MemoryPoolMXBeanTest
>>>>>>>>>> failure  testStart
>>>>>>>>>>
>> org.apache.harmony.luni.tests.java.lang.ProcessBuilderTest
>>>>>>>>>> failure  test_ConstructorI
>>>>>>>>>>
>> org.apache.harmony.luni.tests.java.net.MulticastSocketTest
>>>>>>>>>> failure
>> test_ConstructorLjava_util_TimeZone
>> org.apache.harmony.luni.tests.java.util.GregorianCalendarTest
>>>>>>>>>> failure
>> test_ConstructorLjava_util_TimeZoneLjava_util_Locale
>> org.apache.harmony.luni.tests.java.util.GregorianCalendarTest
>>>>>>>>>> failure  testUpdateAsciiStream
>>>>>>>>>>
>>>>>>>>>>
>> org.apache.harmony.sql.tests.internal.rowset.CachedRowSetStreamTest
>>>>>>>>>> [1]
>> http://people.apache.org/~varlax/harmony-integrity/
>>>>>>>>>> --
>>>>>>>>>> Alexey
>>>>>>>>>>
>>>>>>>>>> 2008/4/22, Xiao-Feng Li <xiaofeng.li@gmail.com>:
>>>>>>>>>>
>>>>>>>>>> They failed in my local testings with SVN. I don't
know if
>> that's
>>>>>>>>>>
>>>>>>>>>>> a
>>>>>>>>>>> known issue and if that blocks any new commits.
>>>>>>>>>>>
>>>>>>>>>>> Thanks,
>>>>>>>>>>> xiaofeng
>>>>>>>>>>>
>>>>>>>>>>> --
>>>>>>>>>>> http://xiao-feng.blogspot.com
>>>>>>>>>>>
>>>>>>>>>>>
>>>>>>>>>>>
>>>>>>>>>>>
>>>>>>>>>>>
>>>>>>>
>>>>>
>>>>>
>>>
>>>
>>>
> 
> 

Mime
View raw message